Bug 1582627 - Let's Label Our Variants!
Summary: Let's Label Our Variants!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Miller
QA Contact:
URL:
Whiteboard: ChangeAcceptedF29,SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-25 19:27 UTC by Jan Kurik
Modified: 2018-11-30 17:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:04:35 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2018-05-25 19:27:08 UTC
This is a tracking bug for Change: Let's Label Our Variants!
For more details, see: https://fedoraproject.org/wiki/Changes/Label_Our_Variants

Start using the <tt>VARIANT</tt> and <tt>VARIANT_ID</tt> fields in <tt>/usr/lib/os-release</tt> (and therefore the <tt>/etc/os-release</tt> symlink) for Spins, Labs and the base container image rather than just the main Fedora Editions.

Comment 1 Adam Williamson 2018-08-07 19:27:52 UTC
Looking at fedora-release package and upstream repos, nothing seems to have been done for this yet.

Comment 2 Jan Kurik 2018-08-14 11:06:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Ben Cotton 2018-08-14 13:12:38 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 4 Matthew Miller 2018-08-14 14:46:30 UTC
Talked to Peter and he's planning on working on this on the plane home from Flock. If he's not able to get to it this week, I will.

Comment 5 Ben Cotton 2018-08-15 11:33:09 UTC
Ack, Matthew.

Correction: please set the status to "MODIFIED" when the change is testable. See https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 6 Ben Cotton 2018-08-28 13:53:53 UTC
Today is the '100% code complete deadline' Change Checkpoint[1], meaning that Fedora 29 Changes must now be code complete. All the code required to enable to the new change should now be finished. If your Change is code complete, please update the status of this tracker back to "ON_QA". The change does not have to be fully tested by this deadline.

We have now reached the Beta freeze. If your Change is not code complete, you need to request a Freeze Exception[2] or invoke the contingency plan.

[1] https://fedoraproject.org/wiki/Changes/Policy#Beta_deadline.2Faccepted_changes_100.25_complete

[2] https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

Comment 7 Matthew Miller 2018-08-28 14:00:01 UTC
The package is updated:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1139873

but the various spins will need to make comps changes to actually include the subpackages.

Comment 8 Ben Cotton 2018-11-30 17:04:35 UTC
This Change appears to have been implemented for Fedora 29. If it is not closed, please let me know so I can re-open it against Rawhide.


Note You need to log in before you can comment on or make changes to this bug.